Subject: Re: [rohc] (remote) dms problem

From: Cristian CONSTANTIN <[email-masked]>
Date: Wed, 5 Apr 2006 13:50:40 +0200

On Wed, Mar 29, 2006 at 01:57:01PM +0100, West, Mark wrote:
> 
> Hi Cristian,
> 
> I'm afraid that I don't really understand the problem...
> 
> The sending endpoint has to [try to] ensure that any message it sends will decompress.  So if you know nothing about the remote DMS, you have to assume that it is the minimum mandated value (e.g. 2k in base SigComp, 8k for SigComp/SIP, whatever-it-is for IMS).
> 
> [FWIW, the 8k for SigComp/SIP is stated in the SigComp for sip draft; I believe that IMS has mandated a lower value]
> 
> If you subsequently (via an advertisement in a response) find out that more resources are available, then you can make use of them.
> 
> In either event, you should not be relying upon making use of more resources than you know the UDVM has (so UDVM code should not need to try and check if there's enough room).
> 
> As to the comparison with "sizeof(rfc3485_dictionary)+sizeof(udvm_bytecode)", I don't see what impact the size of the dictionry has?  (Unless you are trying to load the entire dictionary into UDVM memory; but, again, this should be constrained by the compressor's conservative estimate of available resources).

cristian: hi mark. 

o.k. this comparison was a little bit naive. what about 
sizeof(sigcomp_message)+sizeof(udvm_bytecode) pretty close to (the
default) dms (on udp)?

any rough estimation (considering deflate as compressor/decompressor and udp) on 
the minimum sizeof(sigcomp_message) that cannot be decompressed
with a certain dms: 2k, 4k,...?
for example, I think that a sigcomp message having over 1k cannot be 
decompressed with a dms of 2k.
even though 4k seems safer, finding a good/optimal (deflate) window size seems
non-trivial to me since the decision depends on the size of the sigcomp
message which contains compressed data whose size depends on the chosen 
window size.

anyway, now let's say that your sigcomp compressor can detect such 
limit cases; what to do in such cases? pass through? (i.e. no sigcomp at all?) 

bye now!
cristian
-- 
 _          | There are many people who use UNIX or Linux  
(_'_        | who IMHO do not understand UNIX.
  (_'rist   |              --David Korn  
GPG public key at wwwkeys.de.pgp.net
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc